Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeVpcsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeVpcsResult

    public class DescribeVpcsResult

extends Object

Constructor Summary
`DescribeVpcsResult()`

Method Summary
`List<Vpc>` | `getVpcs()`
`void` | `setVpcs(Collection<Vpc> vpcs)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeVpcsResult` | `withVpcs(Collection<Vpc> vpcs)` Returns a reference to this object so that method calls can be chained together.
`DescribeVpcsResult` | `withVpcs(Vpc... vpcs)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeVpcsResult

    public DescribeVpcsResult()

Method Detail

### getVpcs

    public List<Vpc> getVpcs()

  Returns:

### setVpcs

    public void setVpcs(Collection<Vpc> vpcs)

  Parameters:
    `vpcs` -

### withVpcs

    public DescribeVpcsResult withVpcs(Vpc... vpcs)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcs` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withVpcs

    public DescribeVpcsResult withVpcs(Collection<Vpc> vpcs)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcs` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.